/* ---------- FONTS  ---------- */

@font-face {
    font-family: "Josefin Sans";
    font-style: normal;
    font-weight: 500;
    font-display: block;
    src: url("fonts/JosefinSans.woff2") format("woff2");
}

@font-face {
    font-family: "Sofia Sans Condensed";
    font-style: normal;
    font-weight: 1 1000;
    font-display: block;
    src: url("fonts/SofiaSansCondensed.woff2") format("woff2");
}

@font-face {
    font-family: "Sofia Sans Condensed";
    font-style: italic;
    font-weight: 1 1000;
    font-display: block;
    src: url("fonts/SofiaSansCondensedItalic.woff2") format("woff2");
}


/* ---------- STYLES ---------- */

:root {
    --bg: #1c1c1f;
    --fg: #ffffff;
    /* --bg: #fff; */
    /* --fg: #000; */
    background-color: var(--bg);
    color: var(--fg);
    font-family: system-ui, sans-serif;
}

body {
    width: min(60rem, calc(100% - 4rem));
    margin: 2rem auto;
}

header {
    text-align: center;
    text-transform: uppercase;
    margin: 2rem 0;
}

footer {
    text-align: center;
    font-size: smaller;
    margin: 2rem 0;
}

h1 {
    font-size: 3rem;
    font-family: "Josefin Sans", system-ui, sans-serif;
    font-weight: 500;
    margin: 1rem 0;
}

h2 {
    font-size: 2rem;
    font-family: "Sofia Sans Condensed", system-ui, sans-serif;
    font-weight: 600;
    margin: 1rem 0;
}

h3 {
    font-size: 1.5rem;
    font-family: "Sofia Sans Condensed", system-ui, sans-serif;
    font-weight: 600;
    margin: 1rem 0;
}

p {
    line-height: 1.5;
    margin: 1rem 0;
}

a {
    color: inherit;
}


.section-header {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-top: 2rem;
}

.section-header>.header-icon {
    background-color: var(--fg);
    color: var(--bg);
    height: 0.75em;
    width: 0.75em;
    padding: 0.15em;
    border-radius: 50%;
}

.section-header>.header-line {
    width: 100%;
    flex-basis: 0px;
    flex-grow: 1;
    border-top: 1px solid var(--fg);
}

.side-by-side {
    display: flex;
    align-items: center;
    gap: 1rem 2rem;
}

.multi-column {
    display: flex;
    gap: 2rem;
}

.multi-column>* {
    /* makes all columns the same width */
    flex: 1;
}

.profile-img {
    display: block;
    border-radius: 33%;
    width: 8rem;
    height: 8rem;
    border: 2px solid var(--fg);
    margin: auto;
}

.project-img {
    display: block;
    max-width: 100%;
    max-height: 15rem;
    margin: auto;
}

#publications ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

#publications li {
    padding: 0.2em 0;
}

.icon-link {
    display: flex;
    gap: 0.5em;
    align-items: center;
}

.icon-link>img {
    height: 1.5em;
    width: 1.5em;
}



#particles-container {
    pointer-events: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}


/* ---------- MOBILE ---------- */

@media(max-width: 700px) {

    /* body {
        width: unset;
        margin: 2rem 2rem;
    } */

    .multi-column {
        display: initial;
    }

    .side-by-side {
        display: initial;
    }

}